View Issue Details

IDProjectCategoryView StatusLast Update
0000083JamochaMUDMain Programpublic2005-09-24 21:29
ReporterPaulTBAssigned Tojeffnik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0 
Summary0000083: 'Connect' dialog can't be closed if main window not open.
DescriptionWhen starting jamochaMUD (Windows XP) initially the 'Connect' 'Add MU*' 'Remove MU*' ... dialog is displayed.

If, instead of connecting, you click the [x] in the corner to shut it down it hangs and can't be got rid of without killing the javaw process.
TagsNo tags attached.

Activities

jeffnik

2004-08-20 01:51

administrator   ~0000046

A temporary fix is to choose "Don't Connect" and then close the main JamochaMUD window. Will look into a fix.

jeffnik

2004-08-25 23:37

administrator   ~0000056

Old code was still attached to the close button... which wouldn't be a big deal in itself but unfortunately how JamochaMUD used to shut down is not how it does it anymore. The button has been rewired to terminate JamochaMUD if the main window is not showing, or just dismiss the Connector if the main window is visible.

Issue History

Date Modified Username Field Change
2004-08-18 11:16 PaulTB New Issue
2004-08-20 01:51 jeffnik Note Added: 0000046
2004-08-25 23:21 jeffnik Status new => assigned
2004-08-25 23:21 jeffnik Assigned To => jeffnik
2004-08-25 23:37 jeffnik Status assigned => resolved
2004-08-25 23:37 jeffnik Resolution open => fixed
2004-08-25 23:37 jeffnik Note Added: 0000056
2005-08-20 22:06 jeffnik Status resolved => closed
2005-09-24 21:12 jeffnik Status closed => resolved
2005-09-24 21:12 jeffnik Fixed in Version => 1.0 rc1
2005-09-24 21:29 jeffnik Status resolved => closed